﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess.Test
{
    public struct BoardCoordinate
    {
        public readonly int X;
        public readonly int Y;

        public BoardCoordinate(int x, int y)
        {
            X = x;
            Y = y;
        }

        public bool IsValidCoordinateForBoardSize(int boardSize)
        {
            return !(X > boardSize || Y > boardSize || Y <= 0 || X <= 0);
        }
    }
}
