﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Chess.Test
{
    [TestClass]
    public class PawnTest
    {
        [TestClass]
        public class GetMovesFrom
        {
            [TestMethod]
            public void Returns4_3AsOneResultWhenPassed4_2()
            {
                var pawn = new Pawn();
                var bc = new BoardCoordinate(4, 2);
                var possibleMoves = pawn.GetMovesFrom(bc);

                Assert.IsTrue(possibleMoves.Any(c => c.Equals(new BoardCoordinate(4,3))));
            }
        }

    }
}
